-- 首先在hr库预置血型基础资料字段
-- 2023/10/11 fix:新建库上存在元数据重建>定时任务解析信息组字段>预置数据执行   导致定时任务解析创建数据;预置数据删除的时候FID无法对应delete删不掉,从而产生重复数据
-- 解决方式: 删除数据的时候不仅通过FID删除 也要增加删除逻辑  通过分组标识 FGROUPID + FNUMBER 来删除

-- 先删除多语言表
-- 以下是可能预置出来的多语言表
DELETE FROM t_hspm_infogroupfield_L WHERE FID IN (SELECT FID FROM t_hspm_infogroupfield WHERE FNUMBER = 'nbloodtype' AND FGROUPID IN (1300560512148311040,1365992642139168768,1391371682870017024,1409553445878253568,1410028968223978496,1566543320572903424));
-- 以下是预置的多语言信息组字段
DELETE FROM t_hspm_infogroupfield_L WHERE FPKID = '3HD=PNPE/N61';
INSERT INTO t_hspm_infogroupfield_L(FID,FPKID,FLOCALEID,FNAME) VALUES (1753595122727091200,'3HD=PNPE/N61','zh_CN','血型');
DELETE FROM t_hspm_infogroupfield_L WHERE FPKID = '3HD=Q+E5/GAE';
INSERT INTO t_hspm_infogroupfield_L(FID,FPKID,FLOCALEID,FNAME) VALUES (1753595167455149056,'3HD=Q+E5/GAE','zh_CN','血型');
DELETE FROM t_hspm_infogroupfield_L WHERE FPKID = '3HD=Q/K5/F7W';
INSERT INTO t_hspm_infogroupfield_L(FID,FPKID,FLOCALEID,FNAME) VALUES (1753595171515234304,'3HD=Q/K5/F7W','zh_CN','血型');
DELETE FROM t_hspm_infogroupfield_L WHERE FPKID = '3HD=Q38EQ8DW';
INSERT INTO t_hspm_infogroupfield_L(FID,FPKID,FLOCALEID,FNAME) VALUES (1753595184442080256,'3HD=Q38EQ8DW','zh_CN','血型');
DELETE FROM t_hspm_infogroupfield_L WHERE FPKID = '3HD=Q4FK3RR4';
INSERT INTO t_hspm_infogroupfield_L(FID,FPKID,FLOCALEID,FNAME) VALUES (1753595188695103488,'3HD=Q4FK3RR4','zh_CN','血型');
DELETE FROM t_hspm_infogroupfield_L WHERE FPKID = '3HD=QA534PMP';
INSERT INTO t_hspm_infogroupfield_L(FID,FPKID,FLOCALEID,FNAME) VALUES (1753595212292257792,'3HD=QA534PMP','zh_CN','血型');

-- 以下是主表字段
DELETE FROM t_hspm_infogroupfield WHERE FGROUPID = 1300560512148311040 AND FNUMBER = 'nbloodtype';
DELETE FROM t_hspm_infogroupfield WHERE FID = 1753595122727091200;
INSERT INTO t_hspm_infogroupfield(FID,FSCALE,FTYPE,FISSYSPRESET,FDISABLEDATE,FMASTERID,FSTATUS,FMIN,FISEDIT,FISREQUIRED,FNUMBER,FNAME,FGROUPID,FCREATETIME,FMAXCOUNT,FMODIFIERID,FENABLE,FMODIFYTIME,FCATEGORY,FREFKEY,FCREATORID,FMAX,FPRECISION,FDISABLERID) VALUES (1753595122727091200,0,'9','1',NULL,0,'C',' ','1','0','nbloodtype','血型',1300560512148311040,{ts'2023-08-17  00:00:00'},0,1,'1',{ts'2023-08-18  00:00:00'},'1','hbss_bloodtype',0,' ',0,0); 
DELETE FROM t_hspm_infogroupfield WHERE FGROUPID = 1365992642139168768 AND FNUMBER = 'nbloodtype';
DELETE FROM t_hspm_infogroupfield WHERE FID = 1753595167455149056;
INSERT INTO t_hspm_infogroupfield(FID,FSCALE,FTYPE,FISSYSPRESET,FDISABLEDATE,FMASTERID,FSTATUS,FMIN,FISEDIT,FISREQUIRED,FNUMBER,FNAME,FGROUPID,FCREATETIME,FMAXCOUNT,FMODIFIERID,FENABLE,FMODIFYTIME,FCATEGORY,FREFKEY,FCREATORID,FMAX,FPRECISION,FDISABLERID) VALUES (1753595167455149056,0,'9','1',NULL,0,'C',' ','1','0','nbloodtype','血型',1365992642139168768,{ts'2023-08-17  00:00:00'},0,1,'1',{ts'2023-08-18  00:00:00'},'1','hbss_bloodtype',0,' ',0,0); 
DELETE FROM t_hspm_infogroupfield WHERE FGROUPID = 1391371682870017024 AND FNUMBER = 'nbloodtype';
DELETE FROM t_hspm_infogroupfield WHERE FID = 1753595171515234304;
INSERT INTO t_hspm_infogroupfield(FID,FSCALE,FTYPE,FISSYSPRESET,FDISABLEDATE,FMASTERID,FSTATUS,FMIN,FISEDIT,FISREQUIRED,FNUMBER,FNAME,FGROUPID,FCREATETIME,FMAXCOUNT,FMODIFIERID,FENABLE,FMODIFYTIME,FCATEGORY,FREFKEY,FCREATORID,FMAX,FPRECISION,FDISABLERID) VALUES (1753595171515234304,0,'9','1',NULL,0,'C',' ','1','0','nbloodtype','血型',1391371682870017024,{ts'2023-08-17  00:00:00'},0,1,'1',{ts'2023-08-18  00:00:00'},'1','hbss_bloodtype',0,' ',0,0); 
DELETE FROM t_hspm_infogroupfield WHERE FGROUPID = 1409553445878253568 AND FNUMBER = 'nbloodtype';
DELETE FROM t_hspm_infogroupfield WHERE FID = 1753595184442080256;
INSERT INTO t_hspm_infogroupfield(FID,FSCALE,FTYPE,FISSYSPRESET,FDISABLEDATE,FMASTERID,FSTATUS,FMIN,FISEDIT,FISREQUIRED,FNUMBER,FNAME,FGROUPID,FCREATETIME,FMAXCOUNT,FMODIFIERID,FENABLE,FMODIFYTIME,FCATEGORY,FREFKEY,FCREATORID,FMAX,FPRECISION,FDISABLERID) VALUES (1753595184442080256,0,'9','1',NULL,0,'C',' ','1','0','nbloodtype','血型',1409553445878253568,{ts'2023-08-17  00:00:00'},0,1,'1',{ts'2023-08-18  00:00:00'},'1','hbss_bloodtype',0,' ',0,0); 
DELETE FROM t_hspm_infogroupfield WHERE FGROUPID = 1410028968223978496 AND FNUMBER = 'nbloodtype';
DELETE FROM t_hspm_infogroupfield WHERE FID = 1753595188695103488;
INSERT INTO t_hspm_infogroupfield(FID,FSCALE,FTYPE,FISSYSPRESET,FDISABLEDATE,FMASTERID,FSTATUS,FMIN,FISEDIT,FISREQUIRED,FNUMBER,FNAME,FGROUPID,FCREATETIME,FMAXCOUNT,FMODIFIERID,FENABLE,FMODIFYTIME,FCATEGORY,FREFKEY,FCREATORID,FMAX,FPRECISION,FDISABLERID) VALUES (1753595188695103488,0,'9','1',NULL,0,'C',' ','1','0','nbloodtype','血型',1410028968223978496,{ts'2023-08-17  00:00:00'},0,1,'1',{ts'2023-08-18  00:00:00'},'1','hbss_bloodtype',0,' ',0,0); 
DELETE FROM t_hspm_infogroupfield WHERE FGROUPID = 1566543320572903424 AND FNUMBER = 'nbloodtype';
DELETE FROM t_hspm_infogroupfield WHERE FID = 1753595212292257792;
INSERT INTO t_hspm_infogroupfield(FID,FSCALE,FTYPE,FISSYSPRESET,FDISABLEDATE,FMASTERID,FSTATUS,FMIN,FISEDIT,FISREQUIRED,FNUMBER,FNAME,FGROUPID,FCREATETIME,FMAXCOUNT,FMODIFIERID,FENABLE,FMODIFYTIME,FCATEGORY,FREFKEY,FCREATORID,FMAX,FPRECISION,FDISABLERID) VALUES (1753595212292257792,0,'9','1',NULL,0,'C',' ','1','0','nbloodtype','血型',1566543320572903424,{ts'2023-08-17  00:00:00'},0,1,'1',{ts'2023-08-18  00:00:00'},'1','hbss_bloodtype',0,' ',0,0); 
-- 然后修改预置的档案多视图方案 
-- 1508892870940085254 雇佣人员主档案
-- 1410051326078887937 实习生主档案
-- 1505126193261754371 兼职档案
-- 1509404458998679556 雇佣人员外派档案
DELETE FROM t_hspm_fieldentity WHERE FDETAILID = 1508892870940085331;
INSERT INTO t_hspm_fieldentity(FDETAILID,FSHOWNUM,FDISPLAYNAME,FENTRYID,FSEQ,FFIELD,FFIELDTYPE,FISAUDIT,FISEDIT,FISREQUIRED) VALUES (1508892870940085331,0,' ',1508892870940085254,17,1753595122727091200,'1','0','1','0'); 
DELETE FROM t_hspm_fieldentity WHERE FDETAILID = 1505125927636482101;
INSERT INTO t_hspm_fieldentity(FDETAILID,FSHOWNUM,FDISPLAYNAME,FENTRYID,FSEQ,FFIELD,FFIELDTYPE,FISAUDIT,FISEDIT,FISREQUIRED) VALUES (1505125927636482101,0,' ',1505125927636482050,17,1753595188695103488,'1','0','1','0'); 
DELETE FROM t_hspm_fieldentity WHERE FDETAILID = 1509404459007068210;
INSERT INTO t_hspm_fieldentity(FDETAILID,FSHOWNUM,FDISPLAYNAME,FENTRYID,FSEQ,FFIELD,FFIELDTYPE,FISAUDIT,FISEDIT,FISREQUIRED) VALUES (1509404459007068210,0,' ',1509404458998679556,18,1753595167455149056,'1','0','0','0'); 
DELETE FROM t_hspm_fieldentity WHERE FDETAILID = 1505126193270143016;
INSERT INTO t_hspm_fieldentity(FDETAILID,FSHOWNUM,FDISPLAYNAME,FENTRYID,FSEQ,FFIELD,FFIELDTYPE,FISAUDIT,FISEDIT,FISREQUIRED) VALUES (1505126193270143016,0,' ',1505126193261754371,18,1753595171515234304,'1','0','1','0'); 
